fields:
    cmt_id:
        label: 'branden.ifull::lang.community'
        span: full
        placeholder: 'branden.ifull::lang.please_select'
        required: 1
        type: dropdown
    course_type_id:
        label: 'branden.ifull::lang.course_type'
        span: full
        placeholder: 'branden.ifull::lang.please_select'
        required: 1
        type: dropdown
        dependsOn: course_library_id
    course_library_id:
        label: 'branden.ifull::lang.from_course_library'
        span: full
        placeholder: 'branden.ifull::lang.please_select'
        required: 1
        type: dropdown
    name:
        label: 'branden.ifull::lang.course_name'
        span: full
        required: 1
        type: text
        dependsOn: course_library_id
    enrollment_status:
        label: 'branden.ifull::lang.enrollment_status'
        span: left
        placeholder: 'branden.ifull::lang.please_select'
        required: 1
        type: dropdown
    course_status:
        label: 'branden.ifull::lang.course_status'
        span: right
        placeholder: 'branden.ifull::lang.please_select'
        required: 1
        type: dropdown
    start_at:
        label: 'branden.ifull::lang.course_start_at'
        mode: datetime
        span: full
        required: 1
        type: datepicker
    location:
        label: 'branden.ifull::lang.course_location'
        span: full
        required: 1
        type: text
    user_id:
        label: 'branden.ifull::lang.course_teacher'
        span: full
        placeholder: 'branden.ifull::lang.please_select'
        required: 1
        type: dropdown
    purpose:
        label: 'branden.ifull::lang.course_purpose'
        span: full
        required: 1
        type: text
        dependsOn: course_library_id
    hours:
        label: 'branden.ifull::lang.course_hours'
        span: full
        required: 1
        type: text
    restrict:
        label: 'branden.ifull::lang.course_restrict'
        span: full
        type: text
        dependsOn: course_library_id
    tuition:
        label: 'branden.ifull::lang.tuition'
        span: full
        required: 1
        type: text
        dependsOn: course_library_id
    other_charge:
        label: 'branden.ifull::lang.other_charge'
        span: full
        type: text
        dependsOn: course_library_id
    remark:
        label: 'branden.ifull::lang.remark'
        size: small
        span: full
        type: textarea
        dependsOn: course_library_id
    created_at:
        label: 'branden.ifull::lang.created_at'
        mode: datetime
        span: auto
        type: datepicker
    updated_at:
        label: 'branden.ifull::lang.updated_at'
        mode: datetime
        span: auto
        type: datepicker
